Target version: 2.0.0-alpha5
Severity: Add-on version: 2.0-SNAPSHOT
Operative System: Add-on resolve build:
Has patch: Yes Hito:
Add-on name: Application gvSIG (org.gvsig.app)
Description

Related issues:
Duplicates | gvSIG desktop 1 - gvSIG bugs # 252: Error on the Khmer language ... Fixed 02/06/2012

Associated revisions
Revision 38214 - 05/10/2012 04:54 AM - Cesar Ordiñana

When a new font is set, take into account also the internal frames titles.
Refs #280.

Revision 38215 - 05/10/2012 04:55 AM - Cesar Ordiñana

Don't set specific fonts so it doesn't override any font set in the system in the startup, as needed by the user locale.
Fixes #280.

History
#1 - 02/09/2012 09:37 AM - Mario Carrera
- File Patch_for_GvSIG_Khmer.odt added
- Has patch changed from No to Yes

gvSIG 2.0 doesn't recognise Khmer characters. Khmer translators have developed a patch in order to correct it. I attach the patch to include on gvSIG
2.0.

**Note: The patch was included on gvSIG 1.12 but they only saw some words translated to Khmer, most of them are in English (the properties was
good). They installed the patch on gvSIG 1.11 directly and it worked good.

#2 - 02/09/2012 10:14 AM - Joaquín  del Cerro Murciano
- Subject changed from Patch to correct Khmer characters on gvSIG to Patch to correct Khmer characters on gvSIG 2.0
- Assignee set to Cesar Ordiñana
- Add-on name changed from Unknown to Application gvSIG (org.gvsig.app)

#3 - 02/09/2012 10:35 AM - Mario Carrera
- File gvSIG-problem_Khmer.png added

The steps followed by the translators were:

- Open Windows->Preferences
- Then General->Language
- Then "Install", and select the zip file with the properties. An error appears here and it isn't installed.

I attach a screenshot with the error too.

The same zip file was installed on gvSIG 1.11 and 1.12 and it was installed correctly.

#4 - 02/09/2012 06:19 PM - Mario Carrera
- File gvSIG_1.12-language-v0.3-km.zip added

#5 - 02/09/2012 06:29 PM - Cesar Ordiñana
- Category set to Application
- Status changed from New to In progress
- gvSIG build set to 2043
- Add-on version set to 2.0-SNAPSHOT
- Add-on build set to 2043

#6 - 02/13/2012 11:54 AM - Joaquín  del Cerro Murciano
- Target version set to 2.0.0-alpha5

#7 - 04/02/2012 06:21 PM - Cesar Ordiñana
- Status changed from In progress to Closed

The problem is related to how the andami library initializes fonts. What it does it to get the translation of the term "" in the current language, and then
traverse the available fonts to look for one of them able to show the text.

But there is a problem: new languages are installed into the org.gvsig.app plugin, so the andami Launcher is unable to get them, so the term "" is found
in an alternative language instead of the current one. In the case of Khmer, it finds the translation in english, and it selects a font which is able to show
english words.

We are going to try to solve the problem for any language as defined in the issue #306.

This way there is no need to apply the patch of the current issue, so I'm going to close the ticket and relate it to the other one.

#8 - 05/10/2012 09:07 AM - Cesar Ordiñana
- Status changed from Closed to In progress

I'm going to reopen again to apply any pending font corrections performed in the 1.x gvSIG branch through the issue #252.

#9 - 05/10/2012 10:56 AM - Cesar Ordiñana
- Status changed from In progress to Fixed
- % Done changed from 0 to 100
Applied in changeset r38215.

#10 - 05/10/2012 10:57 AM - Cesar Ordiñana

Applied changes based on work done by Francisco Puga in issue #252.

#11 - 06/28/2012 11:02 AM - María Maluenda
- Status changed from Fixed to Awaiting response

Need instructions in order to check the bugfix

#12 - 07/02/2012 03:31 PM - Joaquín  del Cerro Murciano
- Status changed from Awaiting response to Under review

#13 - 07/04/2012 05:53 PM - Cesar Ordiñana

To check the fix install the Khmer language pack (attachment:gvSIG_1.12-language-v0.3-km.zip) through the gvSIG i18n preferencies panel.

Then select Khmer as the language to use and restart gvSIG. All texts must appear in the Khmer language using the Khmer font, which must be
installed in the system beforehand. In a current Ubuntu installation I think it is installed by default, otherwise you may have to install it.

As it is a language pack for gvSIG 1.12, some texts might not be translated, but I think most of them are.

#14 - 07/10/2012 02:27 PM - María Maluenda
- Status changed from Under review to New

Installed the Khmer language pack (gvSIG_1.12-language-v0.3-km.zip) in the gvSIG build 2049 and in the gvSIG version 1.12. Then select Khmer as
the language to use and restart gvSIG. 
In the gvSIG build 2049 is installed the font and language, but in the gvSIG 1.12 installed only font.

#15 - 07/11/2012 10:19 AM - María Maluenda
- Status changed from New to Closed

Closed in the gvSIG build 2049

Files
Patch_for_GvSIG_Khmer.odt 12.3 KB 02/09/2012 Mario Carrera
gvSIG-problem_Khmer.png 94.6 KB 02/09/2012 Mario Carrera
gvSIG_1.12-language-v0.3-km.zip 185 KB 02/09/2012 Mario Carrera
